<odoo>
    <record id="view_supplier_quotation_wizard_form" model="ir.ui.view">
        <field name="name">supplier_quotation_wizard.form</field>
        <field name="model">supplier_quotation_wizard</field>
        <field name="arch" type="xml">
            <form string="Generate Quotation">
                <group>
                    <field name="supplier_id"/>
                </group>
                <footer>
                    <button string="Close" class="btn-secondary" special="cancel"/>
                </footer>
            </form>
        </field>
    </record>

    <record id="view_supplier_quotation_wizard_tree" model="ir.ui.view">
        <field name="name">supplier_quotation_wizard.tree</field>
        <field name="model">supplier_quotation_wizard</field>
        <field name="arch" type="xml">
                        <tree string="Generated Quotations" create="false" edit="false" delete="false">

                <field name="supplier_id"/>
                <field name="plan_id"/>
                <button name="action_view_quote" type="object" string="View Quote" icon="fa-eye"/>
                <button name="action_send_quote" type="object" string="Send Quote" icon="fa-envelope"/>
            </tree>
        </field>
    </record>

    <record id="action_supplier_quotation_wizard" model="ir.actions.act_window">
        <field name="name">Quotation Generation</field>
        <field name="res_model">supplier_quotation_wizard</field>
        <field name="view_mode">tree,form</field>
        <field name="target">new</field>
    </record>
</odoo>
